WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

Amazon Book Store

Sell Amazon products in sidebar widgets, unique to the individual POST or generically from a default pool of products that you define.

2.1.3

  • Fixed error with returning empty array in older versions of PHP.

2.1.2

  • Fixed error with array initialization occurring with older versions of PHP.

2.1.1

  • Fix upgrade error.

2.1.0

  • Affiliate ID and Country are now managed on the Settings page - you will need to update these values after upgrading.
  • Duplicate products are no longer displayed when you use the widget multiple times on a page.
  • Widget no longer displays on page if there are insufficient unique ASINs for it's display.

2.0.0

  • Redesigned plugin and improved admin layout.
  • WordPress 4.1 compliant.

1.1.3

  • Fixed a layout problem where books and media product images had different widths.
  • Updated description of plugin.

1.1.2

  • Updated JavaScript in admin tool to make use of jQuery.
  • Fixed issue with ASIN assignment for existing POSTS in Admin screen.
  • Plugin is now WP 4.x compatible.
  • Release date (12/8/2014)

1.1.1

  • Fixed problem with wrapping of form labels on the Settings page.
  • Extra long POST titles are now truncated to 40 characters for display purposes.
  • Removed the POST id from the display title.
  • Added screenshot showing Settings configuration screen.

1.1.0

  • Changed name of sidebar widget to 'Amazon Book Store'
  • Added configuration management screen at 'Settings' -> 'Amazon Book Store'
  • Widget can now be used with UK, DE, FR and CA affiliate programs.
  • Widget can be configured to display 1 or 2 product images in widget.
  • Added ability to create a 'pool' of ASINs for POSTs, as well as a 'default' pool to be used as a last resort.

1.0.1

  • Updated screenshots to highlight the fact that users should change their Amazon Associate ID.
  • Plugin is now owned and maintained by Loudlever, Inc.
  • Update Release (03/26/2010)

1.0

  • Plugin Release (10/23/2009)

Requires: 2.8 or higher
Compatible up to: 4.1.0
Last Updated: 2 years ago
Active Installs: 200+

Ratings

0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1 100,2,2 100,2,2
100,1,1 100,2,2 100,2,2
50,2,1 100,1,1
0,1,0
100,1,1
0,1,0 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1
100,1,1
100,1,1